%define mozilla_version 1.3

%define enable_nautilus_view	1

# Use system compiler by default
%define gcc2_build	0
# Except on arches we need to have Java plugin support
%ifarch %ix86
%define gcc2_build	1
%define gcc2_branch	2.96
%endif
# On PPC, Blackdown JRE 1.4.0 will be gcc3 based
%ifarch ppc__DISABLED
%define gcc2_build	1
%define gcc2_branch	2.95
%endif

%{?_with_gcc2: %{expand: %%define gcc2_build 1}}
%{?_without_gcc2: %{expand: %%define gcc2_build 0}}

Summary:        GNOME Web Browser
Name:           galeon
Version:        1.3.3
Release:        2mdk
License:        GPL
Group:          Networking/WWW
Source:         http://download.sourceforge.net/galeon/%{name}-%{version}.tar.bz2
Source4:        %{name}_48.png
Source5:        %{name}_32.png
Source6:        %{name}_16.png
# (fc) 0.12.2 use indexhtml as default page
Patch0:			galeon-1.3.2-home.patch.bz2
# (fc) 1.0.3-3mdk set MOZ_PLUGIN_PATH in galeon startup script
Patch1:			galeon-1.0.3-plugins.patch.bz2
# (fc) 1.3.3-1mdk remove debug messages
Patch2:			galeon-1.3.3-debugmsg.patch.bz2
# (fc) 1.3.3-2mdk fix javascript console crash (CVS)
Patch3:			galeon-1.3.3-jsconsole.patch.bz2
# (fc) 1.3.3-2mdk don't add "about:blank" in location (CVS)
Patch4:			galeon-1.3.3-blank.patch.bz2
# (fc) 1.3.3-2mdk fix crash when closing progress download window (Mdk bug #2098) (CVS)
Patch5:			galeon-1.3.3-downloadcrash.patch.bz2
# (fc) 1.3.3-2mdk fix print color inversion (Mdk bug 3197)
Patch6:			galeon-1.3.3-printcolor.patch.bz2
URL:            http://galeon.sourceforge.net
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:  libgnomeui2-devel
BuildRequires:  libglade2.0-devel
BuildRequires:	mozilla-devel = %{mozilla_version}
BuildRequires:	texinfo
BuildRequires:  scrollkeeper
%if %enable_nautilus_view
# needed for Nautilus view support
BuildRequires:  libnautilus-devel
%endif

%if %{gcc2_build}
# Workaround old rpm bug with nested %if/%ifarch
BuildRequires:	gcc%{gcc2_branch}-c++
%endif

PreReq:         mozilla = %{mozilla_version}
PreReq:			scrollkeeper
Requires:		indexhtml
Provides:       webclient
Provides:       nautilus-html-view
Conflicts:		mozilla < 1.3-0.beta.1mdk

%description
GNOME Web  browser based on Gecko (Mozilla rendering engine)

%prep
%setup -q
%patch0 -p1 -b .home
%patch1 -p1 -b .plugins
%patch2 -p1 -b .debugmsg
%patch3 -p1 -b .jsconsole
%patch4 -p1 -b .blank
%patch5 -p1 -b .downloadcrash
%patch6 -p1 -b .printcolor

%build

%if %{gcc2_build}
export CC="gcc-`gcc2-version`"
export CXX="g++-`gcc2-version`"
%endif
CFLAGS="-O3" CXXFLAGS="-O3"  %configure2_5x --disable-schemas-install \
%if %enable_nautilus_view
 --enable-nautilus-view
%endif


%make

%install
rm -rf %buildroot

GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std


mkdir -p  %buildroot{%{_menudir},%{_iconsdir},%{_liconsdir},%{_miconsdir}}
cat << EOF > %buildroot%{_menudir}/%{name}
?package(%{name}): \
	command="soundwrapper %{_bindir}/%{name}" \
	icon="%{name}.png" \
	needs="x11" \
	section="%{group}" \
	title="Galeon" \
	longtitle="%{summary}" \
	mimetypes="text/html" \
	accept_url="true" \
	multiple_files="false" \
	startup_notify="true"
EOF
cp -f %{SOURCE4} %buildroot%{_liconsdir}/%{name}.png
cp -f %{SOURCE5} %buildroot%{_iconsdir}/%{name}.png
cp -f %{SOURCE6} %buildroot%{_miconsdir}/%{name}.png

%find_lang %{name} --with-gnome --all-name

# create cache files
touch $RPM_BUILD_ROOT%{_datadir}/gnome/help/%{name}/C/%name.html

%post
if [ -x /usr/bin/scrollkeeper-update ]; then /usr/bin/scrollkeeper-update -q || true ; fi
if [ -x /usr/bin/yelp-pregenerate ]; then /usr/bin/yelp-pregenerate %{_datadir}/gnome/help/%{name}/*/%{name}.xml > /dev/null || true ; fi
%{_bindir}/galeon-config-tool --pkg-install-schemas
if [ "$DURING_INSTALL" != "" ]; then
	killall oafd 2>&1 > /dev/null
fi
update-alternatives --install /usr/bin/webclient-gnome webclient-gnome /usr/bin/galeon 30
update-alternatives --install /usr/bin/webclient-kde   webclient-kde   /usr/bin/galeon 20
%{update_menus}

%postun
if [ "$1" = "0" ]; then
		update-alternatives --remove webclient-gnome /usr/bin/galeon
		update-alternatives --remove webclient-kde /usr/bin/galeon
fi
%{clean_menus}
if [ -x /usr/bin/scrollkeeper-update ]; then /usr/bin/scrollkeeper-update -q || true ; fi

%clean
rm -rf %buildroot

%files -f %{name}.lang
%defattr(-, root, root)

%doc AUTHORS COPYING ChangeLog NEWS README INSTALL TODO THANKS FAQ
%config(noreplace) %{_sysconfdir}/sound/events/*
%config(noreplace) %{_sysconfdir}/gconf/schemas/galeon.schemas
%{_bindir}/*
%{_libdir}/galeon
%{_libdir}/bonobo/servers/*
%{_datadir}/galeon
%{_datadir}/sounds/*
%{_datadir}/applications/*
%{_datadir}/gnome-2.0/ui/*
%{_datadir}/pixmaps/*
%{_datadir}/omf/*
%{_mandir}/man1/*
%{_menudir}/*
%{_iconsdir}/*.png
%{_liconsdir}/*.png
%{_miconsdir}/*.png
%ghost %{_datadir}/gnome/help/%{name}/*/%{name}.html

%changelog
* Wed Mar 12 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1.3.3-2mdk
- Patch3 (CVS): fix crash when opening javascript console
- Patch4 (CVS): don't write 'about:blank' in location entry
- Patch5 (CVS): fix crash when closing download manager (Mdk bug #2098)
- Patch6 : fix print color selection (Mdk bug #3197)

* Mon Mar 10 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1.3.3-1mdk
- Release 1.3.3
- Remove patches 2 & 3 (merged upstream)
- Patch2 : remove debug messages

* Mon Mar  3 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1.3.2-4mdk
- Update patch4 to fix Mdk bug #2176
- Update patch2 to add proxy configuration

* Fri Feb 28 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1.3.2-3mdk
- Patch3 (CVS): fix build for mozilla 1.3 final branch

* Mon Feb 24 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1.3.2-2mdk
- Patch2 (CVS): various CVS fixes, including fix for Mdk bug 1568

* Mon Feb 17 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 1.3.2-1mdk
- Release 1.3.2
- Regenerate patch 0

* Fri Feb 14 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 1.3.1-4.20020214.1mdk
- Snapshot of galeon 1.3.2 (for mozilla 1.3beta)

* Thu Jan 16 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 1.3.1-3mdk
- Recompiled against latest openssl
- Add yelp cache generation

* Tue Dec 17 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.3.1-2mdk
- Recompiled for mozilla 1.3alpha

* Tue Dec 10 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.3.1-1mdk
- Release 1.3.1
- Remove patch5 (merged upstream)

* Thu Dec  5 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.3.0-2mdk
- Rebuild against mozilla 1.2.1
- Remove patch4 (no longer needed)

* Fri Nov 29 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.3.0-1mdk
- Release 1.3.0
- Remove patch3 (merged upstream)
- Patch5 (CVS): fix mozilla 1.2 detection

* Fri Nov  8 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.6-2mdk
- Patch4: fix fullscreen mode with EHWM compliant WM

* Tue Oct  8 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.6-1mdk
- Release 1.2.6
- Remove patches 2, 4, 5, 6 & 7 (merged upstream)

* Thu Sep  5 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.5-8mdk
- Patch5 (CVS): fix crashes when closing exiting with more than one tab
- Patch6 (CVS): fix print preview with Mozilla 1.1
- Patch7 (CVS): fix helper application handling
- Add mimetype info in menu

* Wed Aug 28 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.5-7mdk
- Recompiled against mozilla 1.1 final
- Explicit conflicts with mozilla 1.1-0.something

* Wed Aug 14 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.2.5-6mdk
- Explicitly use gcc2 on ix86 only
- Fix typos in --with[out] gcc2 features
- Use gcc2-version script to get correct version. Aka. don't forcibly
  call gcc-2.96, by default, that's silly as not all ports use it

* Fri Aug  2 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.5-5mdk
- Update patch4 to really fix OMF files

* Thu Aug  1 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.5-4mdk
- Patch3: Fix g++ detection
- Patch4 (Rawhide): Fix OMF file to be DTD compliant
- Rebuild with gcc 2.96

* Wed Jul 31 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.5-3mdk
- Patch2 (CVS): Mozilla 1.1 support
- Recompiled against mozilla 1.1beta
- Update patch1 to remove the libc++mem.so hack

* Thu Jul 25 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.2.5-2mdk
- Automated rebuild with gcc3.2

* Tue Jun 11 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.5-1mdk
- Release 1.2.5
- Remove patch2 (merged upstream)
- Regenerate patch1 to use new mozilla directory

* Mon May 13 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.1-2mdk
- Update patch1 to use the same hack as moz 1.0rc2 with old plugins
- Patch2: fix compilation with gcc 3.1
- Recompiled with mozilla 1.0rc2 and gcc 3.1

* Mon Apr 22 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.1-1mdk
- Release 1.2.1

* Thu Apr 18 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.0-5mdk
- Always ship oaf file (fix galeon not reusing galeon instance)

* Tue Apr 16 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.0-4mdk
- Disable nautilus view (doesn't work well with GNOME 2)

* Tue Mar 26 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.0-3mdk
- Fix BuildRequires (needed for nautilus view)

* Thu Mar 21 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.0-2mdk
- Add support for Nautilus view

* Thu Feb 28 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.3-4mdk
- Use new icons (and provides also png)

* Wed Feb 27 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.3-3mdk
- Patch1: set MOZ_PLUGIN_PATH in start script (Thanks to Michael Reinsch)

* Tue Feb 12 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.3-2mdk
- Add alternatives for simplified menu

* Wed Feb  6 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.3-1mdk
- Release 1.0.3

* Fri Jan 25 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.2-3mdk
- Provides webclient

* Sat Jan 19 2002 Stefan van der Eijk <stefan@eijk.nu> 1.0.2-2mdk
- BuildRequires

* Wed Jan  2 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.2-1mdk
- Release 1.0.2
- Use soundwrapper to prevent freeze with flash plugin

* Thu Dec  6 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.1-1mdk
- Release 1.0.1

* Wed Nov 28 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0-2mdk
- Enforce dependency on mozilla version

* Mon Nov 26 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0-1mdk
- Release 1.0

* Mon Nov 19 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.12.8-1mdk
- Release 0.12.8

* Mon Nov 12 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.12.7-1mdk
- Release 0.12.7
- Remove patch1 (merged upstream)

* Mon Oct 29 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.12.6-1mdk
- Release 0.12.6

* Wed Oct 24 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.12.5-1mdk
- Release 0.12.5
- Add omf support
- Patch1: fix location of galeon components

* Sun Oct 07 2001 Stefan van der Eijk <stefan@eijk.nu> 0.12.2-2mdk
- BuildRequires: popt-devel
- Remove obselete BuildRequires

* Thu Sep 27 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.12.2-1mdk
- Release 0.12.2
- Remove source 4 (merged upstream)

* Thu Sep 20 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.12.1-2mdk
- Remove dependency on gtm (not used by default
- Update translations

* Sun Sep 16 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.12.1-1mdk
- Release 0.12.1
- Recompiled against Mozilla 0.9.4

* Mon Aug 20 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.12-1mdk
- Release 0.12

* Mon Aug 13 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.12-0.pre3.1mdk
- Release 0.12pre3

* Mon Aug  6 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.12-0.pre1.1mdk
- Remove patch0 (merged upstream)

* Fri Aug  3 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.11.3-2mdk
- Patch0: fix build with Mozilla 0.9.3 (from GNOME CVS)
- Fix Build dependency
- Recompiled against mozilla 0.9.3

* Wed Jul 25 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.11.3-1mdk
- Release 0.11.3

* Mon Jul 23 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.11.2-1mdk
- Release 0.11.1

* Wed Jul  4 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.11.1-1mdk
- Release 0.11.1
- Remove patch0 (merged upstream)

* Mon Jul  2 2001 Matthias Badaire <mbadaire@mandrakesoft.com> 0.11.0-4mdk
- ExcludeArch : ia64

* Mon Jul  2 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.11.0-3mdk
- Patch0: recompiled against mozilla 0.9.2

* Thu Jun 14 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.11.0-2mdk
- Rebuild mozilla database (to be sure galeon will run correctly)

* Mon Jun 11 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.11.0-1mdk
- Release 0.11.0

* Mon May 14 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.10.6-1mdk
- Release 0.10.6

* Wed May  2 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.10.5-1mdk
- Release 0.10.5

* Mon Apr 09 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.10.4-1mdk
- new version

* Mon Mar 12 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.10.2-1mdk
- Release 0.10.2

* Wed Mar  7 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.10.1-2mdk
- Add requires on gtm
- add more buildrequires 

* Tue Feb 27 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.10.1-1mdk
- Release 0.10.1

* Mon Feb 12 2001 Guillaume Rousse <g.rousse@mandrake-linux.com> 0.9-0.pre3.3mdk
- corrected versioning scheme again...
- used noreplace for config file

* Mon Feb 12 2001 Guillaume Rousse <g.rousse@mandrake-linux.com> 0.9pre3-2mdk
- changed versioning scheme
- corrected changelog

* Fri Feb 09 2001 Guillaume Rousse <g.rousse@mandrake-linux.com> 0.9-0.pre3.1mdk
- 0.9pre3

* Wed Jan 17 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9-0.pre1.1mdk
- Pre-release 0.9pre1
- Compiled with mozilla 0.7
- Correct dependencies

* Fri Dec 29 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.8.3-1mdk
- new and shiny source.

* Thu Dec 14 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.8.2-1mdk
- new and shiny source.

* Fri Nov 03 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.8-1mdk
- new and shiny galeon.

* Tue Oct 17 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7.7a-1mdk
- Merge specfile from Alexander Skwar <ASkwar@Linux-Mandrake.com>
- Release 0.7.7a - for Mozilla M18
- Disabled gcc-compatibility-hack (thanks to gcc 2.96?)

* Thu Oct 12 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7.6-1mdk
- SRPM from Alexander Skwar <ASkwar@Linux-Mandrake.com> :
		- Build with --enable-gcc-compatibility-hack: Find will not work :-( 
		  Otherwise building will not work...
		- Quiet setup
		- New version
		- Used more macros in spec file
		- Explicetely set location of mozilla include files

* Thu Aug 31 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7.2-2mdk
- Rebuild with new mozilla package

* Thu Aug 24 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7.2-1mdk
- First mandrake package
